## gimpbuffer

gimpbuffer — Functions for manipulating cut buffers.

## Functions

gchar ** | gimp_buffers_get_list ()
gchar * | gimp_buffer_rename ()
gboolean | gimp_buffer_delete ()
gint | gimp_buffer_get_width ()
gint | gimp_buffer_get_height ()
gint | gimp_buffer_get_bytes ()
GimpImageBaseType | gimp_buffer_get_image_type ()

## Description

Functions related to named cut buffers.

## Functions

### gimp_buffers_get_list ()

    gchar **
    gimp_buffers_get_list (const gchar *filter,
                           gint *num_buffers);

Retrieve a complete listing of the available buffers.

This procedure returns a complete listing of available named buffers.

#### Parameters

filter | An optional regular expression used to filter the list. |
num_buffers | The number of buffers. |

#### Returns

The list of buffer names. The returned value must be freed with `g_strfreev()`.

Since: 2.4

### gimp_buffer_rename ()

    gchar *
    gimp_buffer_rename (const gchar *buffer_name,
                        const gchar *new_name);

Renames a named buffer.

This procedure renames a named buffer.

#### Parameters

buffer_name | The buffer name. |
new_name | The buffer's new name. |

#### Returns

The real name given to the buffer.

Since: 2.4

### gimp_buffer_delete ()

    gboolean
    gimp_buffer_delete (const gchar *buffer_name);

Deletes a named buffer.

This procedure deletes a named buffer.

#### Parameters

buffer_name | The buffer name. |

#### Returns

TRUE on success.

Since: 2.4

### gimp_buffer_get_width ()

    gint
    gimp_buffer_get_width (const gchar *buffer_name);

Retrieves the specified buffer's width.

This procedure retrieves the specified named buffer's width.

#### Parameters

buffer_name | The buffer name. |

#### Returns

The buffer width.

Since: 2.4

### gimp_buffer_get_height ()

    gint
    gimp_buffer_get_height (const gchar *buffer_name);

Retrieves the specified buffer's height.

This procedure retrieves the specified named buffer's height.

#### Parameters

buffer_name | The buffer name. |

#### Returns

The buffer height.

Since: 2.4

### gimp_buffer_get_bytes ()

    gint
    gimp_buffer_get_bytes (const gchar *buffer_name);

Retrieves the specified buffer's bytes.

This procedure retrieves the specified named buffer's bytes.

#### Parameters

buffer_name | The buffer name. |

#### Returns

The buffer bpp.

Since: 2.4

### gimp_buffer_get_image_type ()

    GimpImageBaseType
    gimp_buffer_get_image_type (const gchar *buffer_name);

Retrieves the specified buffer's image type.

This procedure retrieves the specified named buffer's image type.

#### Parameters

buffer_name | The buffer name. |

#### Returns

The buffer image type.

Since: 2.4

## Types and Values